Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAEIN

    java.lang.Object
      org.netlib.lapack.DLAEIN

    public class DLAEIN

extends java.lang.Object

    DLAEIN is a simplified interface to the JLAPACK routine dlaein.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAEIN uses inverse iteration to find a right or left eigenvector
     *  corresponding to the eigenvalue (WR,WI) of a real upper Hessenberg
     *  matrix H.
     *
     *  Arguments
     *  =========
     *
     *  RIGHTV   (input) LOGICAL
     *          = .TRUE. : compute right eigenvector;
     *          = .FALSE.: compute left eigenvector.
     *
     *  NOINIT   (input) LOGICAL
     *          = .TRUE. : no initial vector supplied in (VR,VI).
     *          = .FALSE.: initial vector supplied in (VR,VI).
     *
     *  N       (input) INTEGER
     *          The order of the matrix H.  N >= 0.
     *
     *  H       (input) DOUBLE PRECISION array, dimension (LDH,N)
     *          The upper Hessenberg matrix H.
     *
     *  LDH     (input) INTEGER
     *          The leading dimension of the array H.  LDH >= max(1,N).
     *
     *  WR      (input) DOUBLE PRECISION
     *  WI      (input) DOUBLE PRECISION
     *          The real and imaginary parts of the eigenvalue of H whose
     *          corresponding right or left eigenvector is to be computed.
     *
     *  VR      (input/output) DOUBLE PRECISION array, dimension (N)
     *  VI      (input/output) DOUBLE PRECISION array, dimension (N)
     *          On entry, if NOINIT = .FALSE. and WI = 0.0, VR must contain
     *          a real starting vector for inverse iteration using the real
     *          eigenvalue WR; if NOINIT = .FALSE. and WI.ne.0.0, VR and VI
     *          must contain the real and imaginary parts of a complex
     *          starting vector for inverse iteration using the complex
     *          eigenvalue (WR,WI); otherwise VR and VI need not be set.
     *          On exit, if WI = 0.0 (real eigenvalue), VR contains the
     *          computed real eigenvector; if WI.ne.0.0 (complex eigenvalue),
     *          VR and VI contain the real and imaginary parts of the
     *          computed complex eigenvector. The eigenvector is normalized
     *          so that the component of largest magnitude has magnitude 1;
     *          here the magnitude of a complex number (x,y) is taken to be
     *          |x| + |y|.
     *          VI is not referenced if WI = 0.0.
     *
     *  B       (workspace) DOUBLE PRECISION array, dimension (LDB,N)
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= N+1.
     *
     *  WORK   (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  EPS3    (input) DOUBLE PRECISION
     *          A small machine-dependent value which is used to perturb
     *          close eigenvalues, and to replace zero pivots.
     *
     *  SMLNUM  (input) DOUBLE PRECISION
     *          A machine-dependent value close to the underflow threshold.
     *
     *  BIGNUM  (input) DOUBLE PRECISION
     *          A machine-dependent value close to the overflow threshold.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          = 1:  inverse iteration did not converge; VR is set to the
     *                last iterate, and so is VI if WI.ne.0.0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAEIN()`

Method Summary
`static void` | `DLAEIN(boolean rightv, boolean noinit, int n, double[][] h, double wr, double wi, double[] vr, double[] vi, double[][] b, double[] work, double eps3, double smlnum, double bignum, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAEIN

    public DLAEIN()

Method Detail

### DLAEIN

    public static void DLAEIN(boolean rightv,
                              boolean noinit,
                              int n,
                              double[][] h,
                              double wr,
                              double wi,
                              double[] vr,
                              double[] vi,
                              double[][] b,
                              double[] work,
                              double eps3,
                              double smlnum,
                              double bignum,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD